/* THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
 * ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * Copyright (C) 1994  Microsoft Corporation.  All Rights Reserved.
 *
 *  MODULE:   dcomp.h
 *
 *  PURPOSE:
 *	  common client and server header file for the Distributed Compression
 *    sample
 *
 *  COMMENTS:
 */

/* The next line is intended to allow compilation with level 4 warnings enabled
 */

#pragma		warning(disable: 4001 4057 4115 4201 4209 4214 4514 4699)

#ifdef		UNICODE
#define		_UNICODE
#endif

#include	<tchar.h>
#include	<wchar.h>

#define		RPC_NO_WINDOWS_H
#include	"distcomp.h"

#include	<vfw.h>
#include	<errno.h>
#include	<io.h>
#include	<stdarg.h>
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	<windowsx.h>

#pragma		warning(default:           4115 4201 4209 4214          )


// Convenience macros

#define UNREF_PARAM(P)	{(P)=(P);}
#define	ArrayLength(a)	(sizeof a / sizeof a[0])


// Current spec names for DComp interface

#define	DIST_COMP_S_IF_SPEC		DistComp_v1_0_s_ifspec
#define	DIST_COMP_C_IF_SPEC		DistComp_v1_0_c_ifspec


// Endpoint export name for RPC

#define	DCOMP_RPC_EXPORT_NAME		TEXT("/.:/dcomp_sample")


// Server command codes used with RPCControl()

#define	RPCCTL_HELLO		0L
#define RPCCTL_CLEARQUEUES	1L
#define	RPCCTL_HEAPSTATUS	10L


// Return codes from RPCControl()

#define	RPCCTL_OK			0L
#define	RPCCTL_UNKNOWN		-1L


// Other constants

#define	MAXBUNCHLEN			25
